## org.eclipse.datatools.connectivity.oda.design
Interface Properties

    public interface Properties

A collection of properties.

The following features are supported:

- `Properties`

See Also:
  `DesignPackage.getProperties()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`Property` `findProperty(java.lang.String propName)` Finds and returns the Property with the given property name in the 'Properties' containment reference list.
`EList` `getProperties()` Returns the value of the 'Properties' containment reference list.
`java.lang.String` `getProperty(java.lang.String propName)` Returns the value of the named Property in the 'Properties' containment reference list.
`boolean` `isEmpty()` Indicates whether this collection of properties is empty.
`void` `setProperty(java.lang.String propName, java.lang.String propValue)` Sets the value in the Property with given name in the 'Properties' containment reference list.
`void` `unsetProperty(java.lang.String propName)` Removes the Property with given name in the 'Properties' containment reference list.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### findProperty

    Property findProperty(java.lang.String propName)

  Finds and returns the Property with the given property name in the 'Properties' containment reference list.

  Parameters:
    `propName` - property name
  Returns:
    the Property found with the given property name, or null if no property is found with given name

### getProperty

    java.lang.String getProperty(java.lang.String propName)

  Returns the value of the named Property in the 'Properties' containment reference list.

  Parameters:
    `propName` - property name
  Returns:
    the value of the given named property; may be null if no property is found with given name

### setProperty

    void setProperty(java.lang.String propName,
                     java.lang.String propValue)

  Sets the value in the Property with given name in the 'Properties' containment reference list. Adds a new NameValuePair if none exists with the given property name.

  Parameters:
    `propName` - property name
    `propValue` - property value

### unsetProperty

    void unsetProperty(java.lang.String propName)

  Removes the Property with given name in the 'Properties' containment reference list.

  Parameters:
    `propName` -

### isEmpty

    boolean isEmpty()

  Indicates whether this collection of properties is empty.

  Returns:
    true if this collection has no entries; false otherwise.

### getProperties

    EList getProperties()

  Returns the value of the 'Properties' containment reference list. The list contents are of type `Property`.

  Returns:
    the value of the 'Properties' containment reference list.
  See Also:
    `DesignPackage.getProperties_Properties()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.